teg (0.11.2+debian-8) unstable; urgency=medium

  * Fix gameplay issues in new GNOME 3 port.
    Also ensure that dh_auto_clean works as expected and the game can be built
    twice in a row.
    Thanks to Yavor Doganov for the patches! (Closes: #907834)

 -- Markus Koschany <apo@debian.org>  Sat, 08 Sep 2018 22:01:33 +0200

teg (0.11.2+debian-7) unstable; urgency=medium

  * Leave dh_auto_clean override empty. Otherwise this will cause a FTBFS.

 -- Markus Koschany <apo@debian.org>  Sat, 01 Sep 2018 01:03:44 +0200

teg (0.11.2+debian-6) unstable; urgency=medium

  * Apply debian-changes patch from Yavor Doganov.
  * Apply goocanvas-gsettings-port.patch from Yavor Doganov.
    Port teg to GTK 3 and no longer depend on obsolete GNOME 2 libraries.
    Many thanks to Yavor who prevented the removal of Teg from Debian!
    (Closes: #885751)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Move the package to Git and salsa.debian.org.

 -- Markus Koschany <apo@debian.org>  Fri, 31 Aug 2018 23:20:51 +0200

teg (0.11.2+debian-5) unstable; urgency=medium

  * Switch to compat level 10.
  * Remove Evgeni Golov from Uploaders at his request. Add myself to Uploaders
    because Policy requires a human uploader. This package still needs a new
    maintainer though.
  * Declare compliance with Debian Policy 4.0.0.
  * Remove deprecated menu file and xpm icon.
  * Fix "Local copy of intltool-* fails with perl 5.26":
    Add patch to escape literal left brace in regexp in intltool-update.in.
    Thanks to gregor herrmann for the patch. (Closes: #869580)
  * Add remove-deprecated-USE_GNOME2_MACROS.patch and remove deprecated GNOME2
    variables from autogen.sh file. (Closes: #830004)

 -- Markus Koschany <apo@debian.org>  Thu, 27 Jul 2017 01:48:43 +0200

teg (0.11.2+debian-4) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.7.
  * Use compat level 9 and require debhelper >= 9.
  * Remove quilt from Build-Depends.
  * Switch to source format 3.0 (quilt).
  * Switch to dh sequencer and simplify debian/rules.
  * Remove all versioned constraints from build-dependencies.
  * Add DEP-3 header to patches.
  * Add comment to debian/watch. There are no files to watch anymore.
  * Override Lintian warning configure-generated-file-in-source.
  * Fix Lintian warning copyright-refers-to-symlink-license.
  * Ensure that teg can be built twice in a row. Override dh_clean.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
  * Add keywords.patch and add keywords to desktop file.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

 -- Markus Koschany <apo@debian.org>  Fri, 25 Mar 2016 03:10:45 +0100

teg (0.11.2+debian-3) unstable; urgency=low

  * Team upload
  * Fix the encoding of teg.desktop from ISO-8859 to UTF-8 by refreshing
    desktop-file-fixes.diff

  [ Evgeni Golov ]
  * debian/watch:
    + Correctly mangle the version and strip "+debian" from it.
    + Remove unnecessary comments.

  [ Peter De Wachter ]
  * debian/rules:
    + Unpatch before cleaning (Closes: #538689)
    + Update config.sub and config.guess before building (Closes: #546020)
  * Replaced libreadline5-dev build dependency with libreadline-dev
    (Closes: #553866)
  * Bumped Standards-Version to 3.8.3, no changes required.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 01 Mar 2011 17:09:38 +0100

teg (0.11.2+debian-2) unstable; urgency=low

  [ Evgeni Golov ]
  * debian/rules:
    + Let build depend on configure, not configure-stamp, so patches get
      applied. (Closes: #502894)
  * debian/control:
    + Add myself to Uploaders.

  [ Paul Wise ]
  * adjust debian/rules to be more parallel-build safe

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 21 Oct 2008 11:37:14 +0200

teg (0.11.2+debian-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * Add missing Vcs-Svn headers.

  [ Ansgar Burchardt ]
  * Remove Homepage semi-field from description.

  [ Cyril Brulebois ]
  * Repack upstream tarball to get rid of the (outdated anyway) debian/
    directory. The only step is to remove that particular directory, and
    rename the toplevel directory with a “.orig” suffix.
  * Remove autom4te.cache/* files from the following patch, which would
    otherwise trigger an FTBFS with the new “3.0 (quilt)” source package
    format, as pointed out by Raphaël Hertzog (Closes: #485107):
     - fix_xml-doc-for-yelp.diff
  * Add myself to Uploaders.
  * Remove “-1” from the version of libgtk2.0-dev in Build-Depends, which
    might make the life of backporters easier.
  * Use a quilt.make include, and patch/unpatch targets rather than
    calling quilt directly. That also keeps .pc/* away from the Debian
    diff.
  * Bump Standards-Version from 3.7.2 to 3.7.3, no changes required.
  * Remove additional files in “clean” since “make distclean” doesn't do
    its job: intltool-update and *.html under docs/gnome-help/.
  * Add “LDFLAGS="-Wl,-z,defs -Wl,--as-needed"” to the configure call, so
    as to strip down the dependencies.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 09 Jun 2008 09:29:18 +0200

teg (0.11.2-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * backport upstream patch to avoid two identical country (Closes: #406351)
   + add avoid_two_identical_country.diff

  [ Jon Dowland ]
  * Add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:37:28 +0000

teg (0.11.2-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * New upstream release (Closes: #424220)
  * switch to quilt, remove cdbs dependency and add quilt instead
  * merge fix_doc_sgml_C.diff and fix_doc_sgml_pl.diff into
    fix_xml-doc-for-yelp.diff
  * remove patch merged in upstream:
   - improve_spanish_translation.diff
   - fr.po-kibi.diff
   - 10_teg-CAN-2006-1150-debian.diff

  [ Emmet Hikory ]
  * Make the .desktop file validate
   - add desktop-file-fixes.diff
  * Install the .png icon and .desktop file
  * Use x-terminal-emulator for the server

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 17 Jun 2007 18:53:27 +0200

teg (0.11.1-4) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * improve translations:
   - improve_spanish_translation.diff: Spanish PO file corrections from
  Carlos Galisteo (Closes: #405608)
   - fr.po-kibi.diff: French PO file corrections by Cyril Brulebois
   (Closes: #406434)
  * fix documentation browsing: The Gnome help browser can't read SGML file
    so Teg documentation needs to be convert to XML (Closes: #406343)
   - recommends yelp, the Gnome help browser
   - add fix_doc_sgml_C.diff and fix_doc_sgml_pl.diff to fix encoding and
   synthaxe errors in upstream SGML
   - create a teg.xml symlink to teg.sgml to make yelp happy

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 11 Jan 2007 22:29:02 +0100

teg (0.11.1-3) unstable; urgency=high

  [ Gonéri Le Bouder ]
  * New maintainer, closes: #322103.
  * switch to simple-patchsys
  * compat 5
  * Standards-Version: 3.7.2
  * set Maintainer to Debian Games Team
  * add myself in uploader
  * change section to games
  * add cdbs in Build-Depends:
  * debhelper 5.0.0
  * change icon location to /usr/share/pixmaps/teg.xpm
  * update rules file
  * data are installed in /usr/share/games/teg
  * watch file

  [ Justin Pryzby ]
  * Manually apply the changes made upstream to address remote DoS
    patch teg-diff-CAN-2006-1150-debian
    [CAN-2006-1150]; Closes: #357645.
  * update copyright file
  * Drop the README, which mostly duplicated the description
  * add a homepage pseudofield in the Description entry

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 26 May 2006 23:15:47 +0200

teg (0.11.1-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#322103); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #313853.
  * Use dh_gconf to migrate GConf schemas.  Closes: #340509.
  * Change section to gnome in accordance with the override file.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/rules: Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.

 -- Matej Vela <vela@debian.org>  Wed, 25 Jan 2006 09:55:28 +0100

teg (0.11.1-1.1) unstable; urgency=low

  * 0-Days NMU during debconf-es BSP
  * Removed xlib-dev in Build-Depends (Xorg 6.9/7.0 transition).
  * Removed libbonobo-activation-dev in Build-Depends; closes: #332812.
  * Upgraded to 3.6.2.0 Standards-Version: Changed changelog encoding from
    ISO-8859 to UTF-8.
  * Added quotes in the debian/teg.menu file.
  * Patched de.po file; closes: #313853.
  * Compiled with the libreadline5-dev; closes: #326290.
  * Upgraded DH_COMPAT to 4.

 -- Jesús Espino García <jespinog@gmail.com>  Sat, 17 Dec 2005 01:02:49 +0000

teg (0.11.1-1) unstable; urgency=high

  * Rebuilt against libgnutls11; closes: #263675.
  * Acknowledge NMU, thanks Sven; closes: #252515, #243425.
  * Added Hungarian translation; closes: #256272.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 21 Aug 2004 22:12:39 +0200

teg (0.11.1-0.1) unstable; urgency=low

  * NMI with maintainers consent.
  * Upgraded to new upstream release 0.11.1 to fix gnome 2.6 problems.
    (Closes: #252515, #243425)

 -- Sven Luther <luther@debian.org>  Mon, 21 Jun 2004 15:16:18 +0200

teg (0.11.0-3) unstable; urgency=low

  * Removed useless Build-Depends on liblinc-dev; closes: #214802.
  * Fixed encoding of messages for locale "es"; closes: #191577.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  1 Nov 2003 14:48:28 +0100

teg (0.11.0-2) unstable; urgency=high

  * Now we don't ship /etc/gconf/gconf.xml.defaults, it's generated by
    gconftool; closes: #177664.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 21 Jan 2003 16:50:38 +0100

teg (0.11.0-1) unstable; urgency=low

  * New upstream version, closes: #175804.
  * FPE in art_affine_point should be fixed, closes: #172236.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 19 Jan 2003 21:26:39 +0100

teg (0.10.1-5) unstable; urgency=low

  * Added icon to teg.menu; closes: #168471, #168472.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 10 Nov 2002 21:55:57 +0100

teg (0.10.1-4) unstable; urgency=low

  * Enhanced teg Debian menu entry; closes: #159773.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 28 Sep 2002 13:44:31 +0200

teg (0.10.1-3) unstable; urgency=low

  * Revert previous change; we use libpng2 and gdk-imlib1.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  2 Sep 2002 11:36:57 +0200

teg (0.10.1-2) unstable; urgency=low

  * Recompiling against libpng3 because of png2->png3 transition.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 17 Aug 2002 19:51:41 +0200

teg (0.10.1-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  1 Jul 2002 21:50:43 +0200

teg (0.10.0-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 26 May 2002 23:28:19 +0200

teg (0.9.4-1) unstable; urgency=low

  * New upstream version.
  * Removed a 8-bit char from debian/control that was added because of 112430;
    I'm sorry Marcelo but I can't corrupt random displays, maybe it can be
    added into translated descriptions, closes: #143930.
  * GGZ support is now disabled, it will be readded when we'll have GGZ 0.5
    packages.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 22 Apr 2002 12:14:57 +0200

teg (0.9.2-1) unstable; urgency=low

  * New upstream version.
  * Fixed a little typo in debian/control; closes: #125415.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 22 Dec 2001 18:03:06 +0100

teg (0.9.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: s/Tenes/Tenés; closes: #112430.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 10 Dec 2001 19:06:51 +0100

teg (0.8.0-1) unstable; urgency=low

  * Initial release, closes: #106445.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 28 Jul 2001 20:32:18 -0300
